
Infrastructure - Task #2688

Story # 2643 (Closed): Finalize architecture docs for release

Develop guidelines for how Subject entries are handled - creation, normalization, comparison

2012-05-02 18:30 - Dave Vieglais

Status: New Start date: 2012-05-02

Priority: Normal Due date: 2013-03-16

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Entries of type Subject are critical for determining access to services and content in DataONE, and so comparison of two subjects to

determine equivalence is a critical operation. 

The goal of this story is to capture tasks for ensuring that Subject use is well documented and that Subject values are handled

appropriately and consistently in the DataONE code base.

Related issues:

Related to Infrastructure - Story #725: Create Authentication and Access cont... In Progress 2014-10-01 2014-10-01

Related to Infrastructure - Story #2830: Finalize documentation for availabil... Rejected 2012-05-30

History

#1 - 2012-05-30 12:42 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.21-Block.3.3

- Position changed from 1 to 453

- Position set to 1

#2 - 2012-06-20 13:55 - Dave Vieglais

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.25-Block.4.1

- Position set to 1

- Position deleted (454)

- Position changed from 1 to 459

#3 - 2012-07-09 14:00 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

#4 - 2012-08-31 03:03 - Chris Jones

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#5 - 2012-10-11 15:32 - Dave Vieglais

- Due date set to 2012-11-10

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.44-Block.6.2

- translation missing: en.field_remaining_hours set to 0.0

#6 - 2012-12-12 18:23 - Dave Vieglais

- Due date changed from 2012-11-10 to 2013-01-05

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4
#7 - 2013-03-01 18:35 - Chris Jones

- Due date changed from 2013-01-05 to 2013-03-16

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#8 - 2013-04-26 15:14 - Dave Vieglais

- Parent task set to #2643

#9 - 2013-08-02 11:52 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#10 - 2014-01-06 17:50 - Dave Vieglais

- Target version changed from 2013.33-Block.4.4 to 2014.4-Block.1.2

#11 - 2014-03-14 17:59 - Chris Jones

- Target version changed from 2014.4-Block.1.2 to 2014.14-Block.2.3

#12 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to Maintenance Backlog
